com.microfocus.awm.meta.interfaces

## Enum EResourceProcessingTypes

- java.lang.Object
- - java.lang.Enum<EResourceProcessingTypes>
  - - com.microfocus.awm.meta.interfaces.EResourceProcessingTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EResourceProcessingTypes>, org.eclipse.emf.common.util.Enumerator

      public enum EResourceProcessingTypes
      extends java.lang.Enum<EResourceProcessingTypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the type of the resource processing: COPY. DELETE, ISERT, INSERT-CHILD, MOVE, READ, REFRESH, UPDATE, TOOL_DEFINED
  See Also:
    `TaurusPackage.getEResourceProcessingTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPY` The 'COPY' literal object.
    `DELETE` The 'DELETE' literal object.
    `INSERT` The 'INSERT' literal object.
    `INSERTCHILD` The 'INSERTCHILD' literal object.
    `MOVE` The 'MOVE' literal object.
    `READ` The 'READ' literal object.
    `REFRESH` The 'REFRESH' literal object.
    `TOOLDEFINED` The 'TOOLDEFINED' literal object.
    `UPDATE` The 'UPDATE' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COPY_VALUE` The 'COPY' literal value.
    `static int` | `DELETE_VALUE` The 'DELETE' literal value.
    `static int` | `INSERT_VALUE` The 'INSERT' literal value.
    `static int` | `INSERTCHILD_VALUE` The 'INSERTCHILD' literal value.
    `static int` | `MOVE_VALUE` The 'MOVE' literal value.
    `static int` | `READ_VALUE` The 'READ' literal value.
    `static int` | `REFRESH_VALUE` The 'REFRESH' literal value.
    `static int` | `TOOLDEFINED_VALUE` The 'TOOLDEFINED' literal value.
    `static int` | `UPDATE_VALUE` The 'UPDATE' literal value.
    `static java.util.List<EResourceProcessingTypes>` | `VALUES` A public read-only list of all the 'EResource Processing Types' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EResourceProcessingTypes` | `get(int value)` Returns the 'EResource Processing Types' literal with the specified integer value.
    `static EResourceProcessingTypes` | `get(java.lang.String literal)` Returns the 'EResource Processing Types' literal with the specified literal value.
    `static EResourceProcessingTypes` | `getByName(java.lang.String name)` Returns the 'EResource Processing Types' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EResourceProcessingTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EResourceProcessingTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final EResourceProcessingTypes READ

      The 'READ' literal object.
      See Also:
        `READ_VALUE`

    - #### TOOLDEFINED

          public static final EResourceProcessingTypes TOOLDEFINED

      The 'TOOLDEFINED' literal object.
      See Also:
        `TOOLDEFINED_VALUE`

    - #### UPDATE

          public static final EResourceProcessingTypes UPDATE

      The 'UPDATE' literal object.
      See Also:
        `UPDATE_VALUE`

    - #### INSERT

          public static final EResourceProcessingTypes INSERT

      The 'INSERT' literal object.
      See Also:
        `INSERT_VALUE`

    - #### INSERTCHILD

          public static final EResourceProcessingTypes INSERTCHILD

      The 'INSERTCHILD' literal object.
      See Also:
        `INSERTCHILD_VALUE`

    - #### DELETE

          public static final EResourceProcessingTypes DELETE

      The 'DELETE' literal object.
      See Also:
        `DELETE_VALUE`

    - #### COPY

          public static final EResourceProcessingTypes COPY

      The 'COPY' literal object.
      See Also:
        `COPY_VALUE`

    - #### MOVE

          public static final EResourceProcessingTypes MOVE

      The 'MOVE' literal object.
      See Also:
        `MOVE_VALUE`

    - #### REFRESH

          public static final EResourceProcessingTypes REFRESH

      The 'REFRESH' literal object.
      See Also:
        `REFRESH_VALUE`

  - ### Field Detail

    - #### READ_VALUE

          public static final int READ_VALUE

      The 'READ' literal value.
      See Also:
        `READ`, Constant Field Values

    - #### TOOLDEFINED_VALUE

          public static final int TOOLDEFINED_VALUE

      The 'TOOLDEFINED' literal value.
      See Also:
        `TOOLDEFINED`, Constant Field Values

    - #### UPDATE_VALUE

          public static final int UPDATE_VALUE

      The 'UPDATE' literal value.
      See Also:
        `UPDATE`, Constant Field Values

    - #### INSERT_VALUE

          public static final int INSERT_VALUE

      The 'INSERT' literal value.
      See Also:
        `INSERT`, Constant Field Values

    - #### INSERTCHILD_VALUE

          public static final int INSERTCHILD_VALUE

      The 'INSERTCHILD' literal value.
      See Also:
        `INSERTCHILD`, Constant Field Values

    - #### DELETE_VALUE

          public static final int DELETE_VALUE

      The 'DELETE' literal value.
      See Also:
        `DELETE`, Constant Field Values

    - #### COPY_VALUE

          public static final int COPY_VALUE

      The 'COPY' literal value.
      See Also:
        `COPY`, Constant Field Values

    - #### MOVE_VALUE

          public static final int MOVE_VALUE

      The 'MOVE' literal value.
      See Also:
        `MOVE`, Constant Field Values

    - #### REFRESH_VALUE

          public static final int REFRESH_VALUE

      The 'REFRESH' literal value.
      See Also:
        `REFRESH`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EResourceProcessingTypes> VALUES

      A public read-only list of all the 'EResource Processing Types' enumerators.

  - ### Method Detail

    - #### values

          public static EResourceProcessingTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EResourceProcessingTypes c : EResourceProcessingTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EResourceProcessingTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EResourceProcessingTypes get(java.lang.String literal)

      Returns the 'EResource Processing Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EResourceProcessingTypes getByName(java.lang.String name)

      Returns the 'EResource Processing Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EResourceProcessingTypes get(int value)

      Returns the 'EResource Processing Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EResourceProcessingTypes>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.